> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Session Requests

> Returns all message threads that have active session requests for the specified install.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/reports/sessionRequests
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/reports/sessionRequests:
    get:
      tags:
        - Reports
      summary: Session Requests
      description: >-
        Returns all message threads that have active session requests for the
        specified install.
      operationId: getV1InstallsInstallsidReportsSessionrequests
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: studentFirstName
          in: query
          schema:
            type: string
            description: First Name of student
          description: First Name of student
        - name: studentLastName
          in: query
          schema:
            type: string
            description: Last Name of student
          description: Last Name of student
        - name: studentEmail
          in: query
          schema:
            type: string
            description: Email of Student
          description: Email of Student
        - name: proctorFirstName
          in: query
          schema:
            type: string
            description: First Name of Proctor
          description: First Name of Proctor
        - name: proctorLastName
          in: query
          schema:
            type: string
            description: Last Name of Proctor
          description: Last Name of Proctor
        - name: courseSid
          in: query
          schema:
            type: string
            description: Course Sid
            pattern: ^CU[a-f0-9]{32}$
          description: Course Sid
        - name: examSid
          in: query
          schema:
            type: string
            description: Exam Sid
            pattern: ^EX[a-f0-9]{32}$
          description: Exam Sid
        - name: offset
          in: query
          schema:
            type: integer
            description: Result offset
            minimum: 0
          description: Result offset
        - name: limit
          in: query
          schema:
            type: integer
            description: Number of items to return
            minimum: 0
          description: Number of items to return
        - name: sortKeys
          in: query
          schema:
            type: array
            description: Key to sort by
            default:
              - createdDate
            x-constraint:
              single: true
            items:
              type: string
              enum:
                - createdDate
                - lastMessageDate
                - confirmedDate
                - confirmedDateExpiration
          description: Key to sort by
          style: form
          explode: true
        - name: sortOrder
          in: query
          schema:
            type: string
            description: Sort order
            default: ASC
            enum:
              - ASC
              - DESC
          description: Sort order
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionRequestReportResponse'
components:
  schemas:
    SessionRequestReportResponse:
      type: object
      properties:
        total:
          type: number
          nullable: true
        first:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
        prev:
          type: string
          nullable: true
        last:
          type: string
          nullable: true
        count:
          type: number
          nullable: true
        offset:
          type: number
          nullable: true
        results:
          $ref: '#/components/schemas/Model22'
    Model22:
      type: array
      items:
        $ref: '#/components/schemas/SessionRequestItem'
    SessionRequestItem:
      type: object
      properties:
        messageThreadSid:
          type: string
          nullable: true
        dateOption1:
          type: string
          nullable: true
        dateOption2:
          type: string
          nullable: true
        dateOption3:
          type: string
          nullable: true
        confirmedDate:
          type: string
          nullable: true
        confirmedDateExpiration:
          type: string
          nullable: true
        sessionRequest:
          type: boolean
          nullable: true
        lastMessageDate:
          type: string
          nullable: true
        createdDate:
          type: string
          nullable: true
        course:
          $ref: '#/components/schemas/course'
        exam:
          $ref: '#/components/schemas/Model21'
        user:
          $ref: '#/components/schemas/user'
        proctorAccount:
          $ref: '#/components/schemas/proctorAccount'
        proctorAccountUser:
          $ref: '#/components/schemas/proctorAccountUser'
    course:
      type: object
    Model21:
      type: object
    user:
      type: object
    proctorAccount:
      type: object
    proctorAccountUser:
      type: object
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````